import { InfluxDB, Transport, Headers } from '@influxdata/influxdb-client';
export interface RequestOptions {
    /** HTTP request headers */
    headers?: {
        [key: string]: string;
    };
    /**
     * Informs about a start of response processing.
     * @param headers - response HTTP headers
     * @param statusCode - response status code
     */
    responseStarted?: (headers: Headers, statusCode?: number) => void;
}
/**
 * Base class for all apis.
 */
export declare class APIBase {
    transport: Transport;
    /**
     * Initializes transport to communicate with InfluxDB.
     * @param influxDB - the main InfluxDB client object
     */
    constructor(influxDB: InfluxDB);
    queryString(request: any, params: string[]): string;
    request(method: string, path: string, request?: any, requestOptions?: RequestOptions, mediaType?: string): Promise<any>;
}
//# sourceMappingURL=APIBase.d.ts.map