import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { Config } from './types';
export interface GetConfigRequest {
}
/**
 * Config API
 */
export declare class ConfigAPI {
    private base;
    /**
     * Creates ConfigAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Retrieve runtime configuration.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetConfig }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getConfig(request?: GetConfigRequest, requestOptions?: RequestOptions): Promise<Config>;
}
//# sourceMappingURL=ConfigAPI.d.ts.map