import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { Flags } from './types';
export interface GetFlagsRequest {
}
/**
 * Flags API
 */
export declare class FlagsAPI {
    private base;
    /**
     * Creates FlagsAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Return the feature flags for the currently authenticated user.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetFlags }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getFlags(request?: GetFlagsRequest, requestOptions?: RequestOptions): Promise<Flags>;
}
//# sourceMappingURL=FlagsAPI.d.ts.map