import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { HealthCheck } from './types';
export interface GetHealthRequest {
}
/**
 * Health API
 */
export declare class HealthAPI {
    private base;
    /**
     * Creates HealthAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Retrieve the health of the instance.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetHealth }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getHealth(request?: GetHealthRequest, requestOptions?: RequestOptions): Promise<HealthCheck>;
}
//# sourceMappingURL=HealthAPI.d.ts.map