import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
export interface GetMetricsRequest {
}
/**
 * Metrics API
 */
export declare class MetricsAPI {
    private base;
    /**
     * Creates MetricsAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Retrieve workload performance metrics.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetMetrics }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getMetrics(request?: GetMetricsRequest, requestOptions?: RequestOptions): Promise<string>;
}
//# sourceMappingURL=MetricsAPI.d.ts.map