import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
export interface GetPingRequest {
}
/**
 * Ping API
 */
export declare class PingAPI {
    private base;
    /**
     * Creates PingAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Get the status and version of the instance.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetPing }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getPing(request?: GetPingRequest, requestOptions?: RequestOptions): Promise<void>;
}
//# sourceMappingURL=PingAPI.d.ts.map