import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { Ready } from './types';
export interface GetReadyRequest {
}
/**
 * Ready API
 */
export declare class ReadyAPI {
    private base;
    /**
     * Creates ReadyAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Get the readiness of an instance at startup.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetReady }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getReady(request?: GetReadyRequest, requestOptions?: RequestOptions): Promise<Ready>;
}
//# sourceMappingURL=ReadyAPI.d.ts.map