import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
export interface GetResourcesRequest {
}
/**
 * Resources API
 */
export declare class ResourcesAPI {
    private base;
    /**
     * Creates ResourcesAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * List all known resources.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetResources }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getResources(request?: GetResourcesRequest, requestOptions?: RequestOptions): Promise<string[]>;
}
//# sourceMappingURL=ResourcesAPI.d.ts.map