import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { Routes } from './types';
export interface GetRoutesRequest {
}
/**
 * Root API
 */
export declare class RootAPI {
    private base;
    /**
     * Creates RootAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * List all top level routes.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetRoutes }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getRoutes(request?: GetRoutesRequest, requestOptions?: RequestOptions): Promise<Routes>;
}
//# sourceMappingURL=RootAPI.d.ts.map