import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
export interface PostSigninRequest {
    auth?: {
        user: string;
        password: string;
    };
}
/**
 * Signin API
 */
export declare class SigninAPI {
    private base;
    /**
     * Creates SigninAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Create a user session.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/PostSignin }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    postSignin(request: PostSigninRequest, requestOptions?: RequestOptions): Promise<void>;
}
//# sourceMappingURL=SigninAPI.d.ts.map