import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
export interface PostSignoutRequest {
}
/**
 * Signout API
 */
export declare class SignoutAPI {
    private base;
    /**
     * Creates SignoutAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * Expire the current UI session.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/PostSignout }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    postSignout(request?: PostSignoutRequest, requestOptions?: RequestOptions): Promise<void>;
}
//# sourceMappingURL=SignoutAPI.d.ts.map