import { InfluxDB } from '@influxdata/influxdb-client';
import { RequestOptions } from '../APIBase';
import { TelegrafPlugins } from './types';
export interface GetTelegrafPluginsRequest {
    /** The type of plugin desired. */
    type?: string;
}
/**
 * Telegraf API
 */
export declare class TelegrafAPI {
    private base;
    /**
     * Creates TelegrafAPI
     * @param influxDB - an instance that knows how to communicate with InfluxDB server
     */
    constructor(influxDB: InfluxDB);
    /**
     * List all Telegraf plugins.
     * See {@link https://docs.influxdata.com/influxdb/v2.1/api/#operation/GetTelegrafPlugins }
     * @param request - request parameters and body (if supported)
     * @param requestOptions - optional transport options
     * @returns promise of response
     */
    getTelegrafPlugins(request?: GetTelegrafPluginsRequest, requestOptions?: RequestOptions): Promise<TelegrafPlugins>;
}
//# sourceMappingURL=TelegrafAPI.d.ts.map